automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[FYI] tests: assume GNU make, of course


From: Stefano Lattarini
Subject: [FYI] tests: assume GNU make, of course
Date: Mon, 20 May 2013 12:17:56 +0200

Changes suggested by "make lint".

* t/make-keepgoing.tap: Do not use AM_MAKEFLAGS.
* t/subdir-keep-going-pr12554.sh: Likewise.  Also, assume unconditionally
that $MAKE supports the '-I' option, and that the exit status of "$MAKE -k"
is trustworthy.
* t/txinfo-builddir.sh: Do not check whether $MAKE has a weak VPATH
support (was a bug affecting only FreeBSD make).

Signed-off-by: Stefano Lattarini <address@hidden>
---
 t/make-keepgoing.tap           |  4 ++--
 t/subdir-keep-going-pr12554.sh | 16 ++--------------
 t/txinfo-builddir.sh           |  4 ----
 3 files changed, 4 insertions(+), 20 deletions(-)

diff --git a/t/make-keepgoing.tap b/t/make-keepgoing.tap
index af6fae5..ed0fb2e 100644
--- a/t/make-keepgoing.tap
+++ b/t/make-keepgoing.tap
@@ -83,8 +83,8 @@ check_make k-n
 # Test against a possible regressions similar to those that affected
 # detection of dry mode ("make -n").
 check_make k-n TESTS="k.test k2.test"
-check_make k-n TESTS="k1 k k2" AM_MAKEFLAGS="TESTS='k1 k2'"
-check_make k-n TESTS="k1 k k2" AM_MAKEFLAGS='TESTS="k1 k k2"'
+check_make k-n TESTS="k1 k2"
+check_make k-n TESTS="k1 k k2"
 check_make k-n FOOFLAGS="-k -k -nkf2 k -ks --keep -k"
 check_make k-n MYFLAGS="-k --keepgoing -k --keep-run -k"
 
diff --git a/t/subdir-keep-going-pr12554.sh b/t/subdir-keep-going-pr12554.sh
index 03d5cb0..e5b8787 100644
--- a/t/subdir-keep-going-pr12554.sh
+++ b/t/subdir-keep-going-pr12554.sh
@@ -22,8 +22,6 @@
 
 . test-init.sh
 
-echo nil: | $MAKE -I . -f - || skip_ "$MAKE doesn't support the -I option"
-
 cat >> configure.ac <<'END'
 AC_CONFIG_FILES([sub1/Makefile sub2/Makefile])
 AC_OUTPUT
@@ -51,20 +49,10 @@ $AUTOCONF
 $AUTOMAKE
 ./configure
 
-st=0
-$MAKE -I k -I --keep-going \
-  TESTS='k --keep-going -k' AM_MAKEFLAGS="TESTS='k --keep-going -k'" \
-  || st=$?
-# Don't trust the exit status of "make -k" for non-GNU make.
-if using_gmake; then
-  test $st -gt 0 || exit 1
-fi
+$MAKE -I k -I --keep-going TESTS='k --keep-going -k' && exit 1
 test ! -r sub2/ok
 
 # Sanity check.
-st=0; $MAKE -k || st=$?
-if { using_gmake && test $st -eq 0; } || test ! -f sub2/ok; then
-  fatal_ '"make -k" not working as expected'
-fi
+! $MAKE -k && test -f sub2/ok || fatal_ '"make -k" not working as expected'
 
 :
diff --git a/t/txinfo-builddir.sh b/t/txinfo-builddir.sh
index 42d4112..a77dcfe 100644
--- a/t/txinfo-builddir.sh
+++ b/t/txinfo-builddir.sh
@@ -22,10 +22,6 @@
 required='makeinfo tex texi2dvi'
 . test-init.sh
 
-if useless_vpath_rebuild; then
-  skip_ "$MAKE has brittle VPATH support"
-fi
-
 echo AC_OUTPUT >> configure.ac
 
 cat > Makefile.am << 'END'
-- 
1.8.3.rc2




reply via email to

[Prev in Thread] Current Thread [Next in Thread]